﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Infragistics.Win;
using Infragistics.Win.UltraWinExplorerBar;
using System.Drawing;

namespace ExpansionIdikator
{
    class UIExplorerBar : IUIElementCreationFilter
    {
        #region IUIElementCreationFilter Members

        public void AfterCreateChildElements(UIElement parent)
        {
            EditorWithTextUIElement uiText;
            ExpansionButtonUIElement uiExbutt;
            ImageUIElement uiImage;
            UltraExplorerBarGroupHeaderUIElement uiHeader = parent as UltraExplorerBarGroupHeaderUIElement;
            if (uiHeader != null)
            {
                 uiText = (EditorWithTextUIElement)uiHeader.GetDescendant(typeof(EditorWithTextUIElement));
                 uiExbutt = (ExpansionButtonUIElement)uiHeader.GetDescendant(typeof(ExpansionButtonUIElement));

                if (uiText != null && uiExbutt != null)
                {
                    uiExbutt.Rect = new Rectangle(uiText.Rect.Location, uiExbutt.Rect.Size);
                    uiText.Rect = new Rectangle(uiExbutt.Rect.Right, uiExbutt.Rect.Top, uiText.Rect.Width, uiText.Rect.Height);
                }
            }
            //throw new NotImplementedException();
        }

        public bool BeforeCreateChildElements(UIElement parent)
        {
            return false;
        }

        #endregion
    }
}
